/* @author Oliver Mezger 
 * @version 12.11.03
 */

import java.awt.*;
import javax.swing.*;
import java.awt.event.*;

public class SwingFrame extends JPanel {          // die Zeichenflaeche als Traeger der Komponenten ein JPanel
  
  public static void main(String[] args){         // Startfunktion 
	   System.out.println("main aufgerufen!");
	   JFrame frame = new JFrame("Banane");          // Objekt erzeugen
	   System.out.println("JFrame Objekt erzeugt!");
	   frame.getContentPane().add(new SwingFrame()); // das JPanel im JFrame hinzufuegen, fuellt den sichtbaren Bereich voll aus
	   frame.setSize(250,150);                       // Groesse des JFrame setzen
	   frame.setVisible(true);
	   frame.addWindowListener(new WindowAdapter(){  // Objekt soll beendet werden knnen
       public void windowClosing(WindowEvent e) {
         System.exit(0);
       }
    }); 
	   System.out.println("main am Ende!");
  } 
  public SwingFrame(){                            // Konstruktor der Klasse (JPanel Kind)
    System.out.println("Konstruktor aufgerufen!");
	   add ("North", new JButton ("Hello World Button")); // einen JButton zum JPanel hinzufuegen  
  }
  public void paintComponent(Graphics g){ // diese Methode wird immer aufgerufen wenn gezeichnet werden soll
    g.setColor(Color.yellow);
    g.fillRect(20, 70, 200, 50);
    g.setColor(Color.black);
    g.drawString("Sample Swing-Frame", 50, 100);
  }
}